dnl Process this file with autoconf to produce a configure script.
AC_PREREQ(2.52)

AC_INIT(metatheme-gilouche, 11.1.2)
AC_CONFIG_SRCDIR(config.h.in)
AC_COPYRIGHT([Copyright 2002-2008 Novell, Inc.])

AM_INIT_AUTOMAKE([1.9 tar-ustar])
AM_CONFIG_HEADER(config.h)

AC_PROG_INSTALL

GETTEXT_PACKAGE=metatheme-gilouche
ALL_LINGUAS="cs"
AC_SUBST(GETTEXT_PACKAGE)
AM_GLIB_GNU_GETTEXT

AC_PROG_INTLTOOL([0.34.1])


### Check for gtk-engines including Gilouche engine
PKG_CHECK_EXISTS(gtk-engines-2 >= 2.6.0,,
   AC_MSG_ERROR([gtk-engines >= 2.6.0 is required to use metatheme-gilouche]))

### Icon naming utils check
UTILS_REQUIRED=0.6.0

AC_MSG_CHECKING([icon-naming-utils >= $UTILS_REQUIRED])
PKG_CHECK_EXISTS(icon-naming-utils >= $UTILS_REQUIRED,
                 have_utils=yes, have_utils=no)
if test "x$have_utils" = "xyes"; then
   UTILS_PATH="`$PKG_CONFIG --variable=program_path icon-naming-utils`"
   ICONMAP="$UTILS_PATH/icon-name-mapping"
   AC_SUBST(ICONMAP)
   AC_MSG_RESULT([yes])
else
   AC_MSG_RESULT([no])
   AC_MSG_ERROR([icon-naming-utils >= $UTILS_REQUIRED is required to build
                 and install metatheme-gilouche])
fi

AC_SUBST(iconthemedir, ${datadir}/icons/Gilouche)
AC_SUBST(themedir, ${datadir}/themes/Gilouche)

AC_CONFIG_FILES([
Makefile
gtk-2.0/Makefile
icons/Makefile
icons/16x16/Makefile
icons/16x16/actions/Makefile
icons/16x16/places/Makefile
icons/16x16/status/Makefile
icons/22x22/Makefile
icons/22x22/actions/Makefile
icons/22x22/places/Makefile
icons/22x22/status/Makefile
icons/24x24/Makefile
icons/24x24/actions/Makefile
icons/24x24/places/Makefile
icons/24x24/status/Makefile
icons/32x32/Makefile
icons/32x32/actions/Makefile
icons/32x32/places/Makefile
icons/32x32/status/Makefile
icons/48x48/Makefile
icons/48x48/animations/Makefile
icons/48x48/actions/Makefile
icons/48x48/places/Makefile
icons/48x48/status/Makefile
icons/256x256/Makefile
icons/256x256/actions/Makefile
icons/256x256/places/Makefile
icons/256x256/status/Makefile
metacity-1/Makefile
po/Makefile.in
])

AC_OUTPUT
